org.icefaces.ace.component.selectmenu

## Enum SelectMenuBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<SelectMenuBase.PropertyKeys>
  - - org.icefaces.ace.component.selectmenu.SelectMenuBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SelectMenuBase.PropertyKeys>
  Enclosing class:
    SelectMenuBase

      protected static enum SelectMenuBase.PropertyKeys
      extends java.lang.Enum<SelectMenuBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `dir`
    `disabled`
    `height`
    `hideEffect`
    `hideEffectLength`
    `indicatorPosition`
    `itemDisabled`
    `itemList`
    `itemValue`
    `label`
    `labelPosition`
    `lang`
    `listValue`
    `listVar`
    `optionalIndicator`
    `readonly`
    `requiredIndicator`
    `showEffect`
    `showEffectLength`
    `style`
    `styleClass`
    `tabindex`
    `title`
    `width`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static SelectMenuBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SelectMenuBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final SelectMenuBase.PropertyKeys accesskey

    - #### dir

          public static final SelectMenuBase.PropertyKeys dir

    - #### disabled

          public static final SelectMenuBase.PropertyKeys disabled

    - #### height

          public static final SelectMenuBase.PropertyKeys height

    - #### hideEffect

          public static final SelectMenuBase.PropertyKeys hideEffect

    - #### hideEffectLength

          public static final SelectMenuBase.PropertyKeys hideEffectLength

    - #### indicatorPosition

          public static final SelectMenuBase.PropertyKeys indicatorPosition

    - #### itemDisabled

          public static final SelectMenuBase.PropertyKeys itemDisabled

    - #### itemValue

          public static final SelectMenuBase.PropertyKeys itemValue

    - #### label

          public static final SelectMenuBase.PropertyKeys label

    - #### labelPosition

          public static final SelectMenuBase.PropertyKeys labelPosition

    - #### lang

          public static final SelectMenuBase.PropertyKeys lang

    - #### listValue

          public static final SelectMenuBase.PropertyKeys listValue

    - #### listVar

          public static final SelectMenuBase.PropertyKeys listVar

    - #### optionalIndicator

          public static final SelectMenuBase.PropertyKeys optionalIndicator

    - #### readonly

          public static final SelectMenuBase.PropertyKeys readonly

    - #### requiredIndicator

          public static final SelectMenuBase.PropertyKeys requiredIndicator

    - #### showEffect

          public static final SelectMenuBase.PropertyKeys showEffect

    - #### showEffectLength

          public static final SelectMenuBase.PropertyKeys showEffectLength

    - #### style

          public static final SelectMenuBase.PropertyKeys style

    - #### styleClass

          public static final SelectMenuBase.PropertyKeys styleClass

    - #### tabindex

          public static final SelectMenuBase.PropertyKeys tabindex

    - #### title

          public static final SelectMenuBase.PropertyKeys title

    - #### width

          public static final SelectMenuBase.PropertyKeys width

    - #### itemList

          public static final SelectMenuBase.PropertyKeys itemList

  - ### Method Detail

    - #### values

          public static SelectMenuBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectMenuBase.PropertyKeys c : SelectMenuBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectMenuBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<SelectMenuBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.